### A free/open-source library for quantitative finance

Classes | Public Member Functions | Protected Member Functions | Protected Attributes
MultiAssetOption Class Reference

Base class for options on multiple assets. More...

`#include <ql/instruments/multiassetoption.hpp>`

Inheritance diagram for MultiAssetOption:
[legend]

List of all members.

## Classes

class | results
| Results from multi-asset option calculation More...

## Public Member Functions

| MultiAssetOption (const boost::shared_ptr< Payoff > &, const boost::shared_ptr< Exercise > &)
void | setupArguments (PricingEngine::arguments *) const
void | fetchResults (const PricingEngine::results *) const
Instrument interface
bool | isExpired () const
| returns whether the instrument might have value greater than zero.
greeks
Real | delta () const
Real | gamma () const
Real | theta () const
Real | vega () const
Real | rho () const
Real | dividendRho () const

## Protected Member Functions

void | setupExpired () const

## Protected Attributes

Real | delta_
Real | gamma_
Real | theta_
Real | vega_
Real | rho_
Real | dividendRho_

## Detailed Description

Base class for options on multiple assets.

## Member Function Documentation

void setupArguments | ( | PricingEngine::arguments * |  | ) | const`[virtual]`

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from Option.

Reimplemented in HimalayaOption, PagodaOption, and MargrabeOption.

void fetchResults | ( | const PricingEngine::results * | r | ) | const`[virtual]`

When a derived result structure is defined for an instrument, this method should be overridden to read from it. This is mandatory in case a pricing engine is used.

Reimplemented from Instrument.

Reimplemented in MargrabeOption.

void setupExpired | ( |  | ) | const`[protected, virtual]`

This method must leave the instrument in a consistent state when the expiration condition is met.

Reimplemented from Instrument.